Index: /XIOS/trunk/src/interface/c_attr/icdomain_attr.cpp
===================================================================
--- /XIOS/trunk/src/interface/c_attr/icdomain_attr.cpp	(revision 431)
+++ /XIOS/trunk/src/interface/c_attr/icdomain_attr.cpp	(revision 432)
@@ -30,4 +30,12 @@
   }
   
+  bool cxios_is_defined_domain_data_dim(domain_Ptr domain_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !domain_hdl->data_dim.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_domain_data_i_index(domain_Ptr domain_hdl, int* data_i_index, int extent1)
@@ -48,4 +56,12 @@
   }
   
+  bool cxios_is_defined_domain_data_i_index(domain_Ptr domain_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !domain_hdl->data_i_index.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_domain_data_ibegin(domain_Ptr domain_hdl, int data_ibegin)
@@ -61,4 +77,12 @@
     *data_ibegin = domain_hdl->data_ibegin.getValue();
   }
+  
+  bool cxios_is_defined_domain_data_ibegin(domain_Ptr domain_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !domain_hdl->data_ibegin.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
   
   
@@ -80,4 +104,12 @@
   }
   
+  bool cxios_is_defined_domain_data_j_index(domain_Ptr domain_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !domain_hdl->data_j_index.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_domain_data_jbegin(domain_Ptr domain_hdl, int data_jbegin)
@@ -94,4 +126,12 @@
   }
   
+  bool cxios_is_defined_domain_data_jbegin(domain_Ptr domain_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !domain_hdl->data_jbegin.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_domain_data_n_index(domain_Ptr domain_hdl, int data_n_index)
@@ -108,4 +148,12 @@
   }
   
+  bool cxios_is_defined_domain_data_n_index(domain_Ptr domain_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !domain_hdl->data_n_index.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_domain_data_ni(domain_Ptr domain_hdl, int data_ni)
@@ -122,4 +170,12 @@
   }
   
+  bool cxios_is_defined_domain_data_ni(domain_Ptr domain_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !domain_hdl->data_ni.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_domain_data_nj(domain_Ptr domain_hdl, int data_nj)
@@ -136,4 +192,12 @@
   }
   
+  bool cxios_is_defined_domain_data_nj(domain_Ptr domain_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !domain_hdl->data_nj.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_domain_domain_group_ref(domain_Ptr domain_hdl, const char * domain_group_ref, int domain_group_ref_size)
@@ -155,4 +219,12 @@
   }
   
+  bool cxios_is_defined_domain_domain_group_ref(domain_Ptr domain_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !domain_hdl->domain_group_ref.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_domain_ibegin(domain_Ptr domain_hdl, int ibegin)
@@ -169,4 +241,12 @@
   }
   
+  bool cxios_is_defined_domain_ibegin(domain_Ptr domain_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !domain_hdl->ibegin.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_domain_iend(domain_Ptr domain_hdl, int iend)
@@ -183,4 +263,12 @@
   }
   
+  bool cxios_is_defined_domain_iend(domain_Ptr domain_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !domain_hdl->iend.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_domain_jbegin(domain_Ptr domain_hdl, int jbegin)
@@ -197,4 +285,12 @@
   }
   
+  bool cxios_is_defined_domain_jbegin(domain_Ptr domain_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !domain_hdl->jbegin.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_domain_jend(domain_Ptr domain_hdl, int jend)
@@ -210,4 +306,12 @@
     *jend = domain_hdl->jend.getValue();
   }
+  
+  bool cxios_is_defined_domain_jend(domain_Ptr domain_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !domain_hdl->jend.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
   
   
@@ -229,4 +333,12 @@
   }
   
+  bool cxios_is_defined_domain_latvalue(domain_Ptr domain_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !domain_hdl->latvalue.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_domain_long_name(domain_Ptr domain_hdl, const char * long_name, int long_name_size)
@@ -247,4 +359,12 @@
      CTimer::get("XIOS").suspend();
   }
+  
+  bool cxios_is_defined_domain_long_name(domain_Ptr domain_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !domain_hdl->long_name.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
   
   
@@ -266,4 +386,12 @@
   }
   
+  bool cxios_is_defined_domain_lonvalue(domain_Ptr domain_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !domain_hdl->lonvalue.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_domain_mask(domain_Ptr domain_hdl, bool* mask, int extent1, int extent2)
@@ -284,4 +412,12 @@
   }
   
+  bool cxios_is_defined_domain_mask(domain_Ptr domain_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !domain_hdl->mask.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_domain_name(domain_Ptr domain_hdl, const char * name, int name_size)
@@ -303,4 +439,12 @@
   }
   
+  bool cxios_is_defined_domain_name(domain_Ptr domain_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !domain_hdl->name.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_domain_ni(domain_Ptr domain_hdl, int ni)
@@ -317,4 +461,12 @@
   }
   
+  bool cxios_is_defined_domain_ni(domain_Ptr domain_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !domain_hdl->ni.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_domain_ni_glo(domain_Ptr domain_hdl, int ni_glo)
@@ -331,4 +483,12 @@
   }
   
+  bool cxios_is_defined_domain_ni_glo(domain_Ptr domain_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !domain_hdl->ni_glo.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_domain_nj(domain_Ptr domain_hdl, int nj)
@@ -345,4 +505,12 @@
   }
   
+  bool cxios_is_defined_domain_nj(domain_Ptr domain_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !domain_hdl->nj.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_domain_nj_glo(domain_Ptr domain_hdl, int nj_glo)
@@ -359,4 +527,12 @@
   }
   
+  bool cxios_is_defined_domain_nj_glo(domain_Ptr domain_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !domain_hdl->nj_glo.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_domain_standard_name(domain_Ptr domain_hdl, const char * standard_name, int standard_name_size)
@@ -378,4 +554,12 @@
   }
   
+  bool cxios_is_defined_domain_standard_name(domain_Ptr domain_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !domain_hdl->standard_name.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_domain_zoom_ibegin(domain_Ptr domain_hdl, int zoom_ibegin)
@@ -392,4 +576,12 @@
   }
   
+  bool cxios_is_defined_domain_zoom_ibegin(domain_Ptr domain_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !domain_hdl->zoom_ibegin.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_domain_zoom_ibegin_loc(domain_Ptr domain_hdl, int zoom_ibegin_loc)
@@ -406,4 +598,12 @@
   }
   
+  bool cxios_is_defined_domain_zoom_ibegin_loc(domain_Ptr domain_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !domain_hdl->zoom_ibegin_loc.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_domain_zoom_jbegin(domain_Ptr domain_hdl, int zoom_jbegin)
@@ -420,4 +620,12 @@
   }
   
+  bool cxios_is_defined_domain_zoom_jbegin(domain_Ptr domain_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !domain_hdl->zoom_jbegin.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_domain_zoom_jbegin_loc(domain_Ptr domain_hdl, int zoom_jbegin_loc)
@@ -434,4 +642,12 @@
   }
   
+  bool cxios_is_defined_domain_zoom_jbegin_loc(domain_Ptr domain_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !domain_hdl->zoom_jbegin_loc.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_domain_zoom_ni(domain_Ptr domain_hdl, int zoom_ni)
@@ -448,4 +664,12 @@
   }
   
+  bool cxios_is_defined_domain_zoom_ni(domain_Ptr domain_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !domain_hdl->zoom_ni.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_domain_zoom_ni_loc(domain_Ptr domain_hdl, int zoom_ni_loc)
@@ -462,4 +686,12 @@
   }
   
+  bool cxios_is_defined_domain_zoom_ni_loc(domain_Ptr domain_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !domain_hdl->zoom_ni_loc.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_domain_zoom_nj(domain_Ptr domain_hdl, int zoom_nj)
@@ -476,4 +708,12 @@
   }
   
+  bool cxios_is_defined_domain_zoom_nj(domain_Ptr domain_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !domain_hdl->zoom_nj.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_domain_zoom_nj_loc(domain_Ptr domain_hdl, int zoom_nj_loc)
@@ -490,4 +730,12 @@
   }
   
+  bool cxios_is_defined_domain_zoom_nj_loc(domain_Ptr domain_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !domain_hdl->zoom_nj_loc.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   
Index: /XIOS/trunk/src/interface/c_attr/icdomaingroup_attr.cpp
===================================================================
--- /XIOS/trunk/src/interface/c_attr/icdomaingroup_attr.cpp	(revision 431)
+++ /XIOS/trunk/src/interface/c_attr/icdomaingroup_attr.cpp	(revision 432)
@@ -30,4 +30,12 @@
   }
   
+  bool cxios_is_defined_domaingroup_data_dim(domaingroup_Ptr domaingroup_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !domaingroup_hdl->data_dim.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_domaingroup_data_i_index(domaingroup_Ptr domaingroup_hdl, int* data_i_index, int extent1)
@@ -48,4 +56,12 @@
   }
   
+  bool cxios_is_defined_domaingroup_data_i_index(domaingroup_Ptr domaingroup_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !domaingroup_hdl->data_i_index.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_domaingroup_data_ibegin(domaingroup_Ptr domaingroup_hdl, int data_ibegin)
@@ -61,4 +77,12 @@
     *data_ibegin = domaingroup_hdl->data_ibegin.getValue();
   }
+  
+  bool cxios_is_defined_domaingroup_data_ibegin(domaingroup_Ptr domaingroup_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !domaingroup_hdl->data_ibegin.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
   
   
@@ -80,4 +104,12 @@
   }
   
+  bool cxios_is_defined_domaingroup_data_j_index(domaingroup_Ptr domaingroup_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !domaingroup_hdl->data_j_index.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_domaingroup_data_jbegin(domaingroup_Ptr domaingroup_hdl, int data_jbegin)
@@ -94,4 +126,12 @@
   }
   
+  bool cxios_is_defined_domaingroup_data_jbegin(domaingroup_Ptr domaingroup_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !domaingroup_hdl->data_jbegin.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_domaingroup_data_n_index(domaingroup_Ptr domaingroup_hdl, int data_n_index)
@@ -108,4 +148,12 @@
   }
   
+  bool cxios_is_defined_domaingroup_data_n_index(domaingroup_Ptr domaingroup_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !domaingroup_hdl->data_n_index.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_domaingroup_data_ni(domaingroup_Ptr domaingroup_hdl, int data_ni)
@@ -122,4 +170,12 @@
   }
   
+  bool cxios_is_defined_domaingroup_data_ni(domaingroup_Ptr domaingroup_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !domaingroup_hdl->data_ni.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_domaingroup_data_nj(domaingroup_Ptr domaingroup_hdl, int data_nj)
@@ -136,4 +192,12 @@
   }
   
+  bool cxios_is_defined_domaingroup_data_nj(domaingroup_Ptr domaingroup_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !domaingroup_hdl->data_nj.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_domaingroup_domain_group_ref(domaingroup_Ptr domaingroup_hdl, const char * domain_group_ref, int domain_group_ref_size)
@@ -155,4 +219,12 @@
   }
   
+  bool cxios_is_defined_domaingroup_domain_group_ref(domaingroup_Ptr domaingroup_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !domaingroup_hdl->domain_group_ref.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_domaingroup_group_ref(domaingroup_Ptr domaingroup_hdl, const char * group_ref, int group_ref_size)
@@ -174,4 +246,12 @@
   }
   
+  bool cxios_is_defined_domaingroup_group_ref(domaingroup_Ptr domaingroup_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !domaingroup_hdl->group_ref.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_domaingroup_ibegin(domaingroup_Ptr domaingroup_hdl, int ibegin)
@@ -188,4 +268,12 @@
   }
   
+  bool cxios_is_defined_domaingroup_ibegin(domaingroup_Ptr domaingroup_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !domaingroup_hdl->ibegin.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_domaingroup_iend(domaingroup_Ptr domaingroup_hdl, int iend)
@@ -202,4 +290,12 @@
   }
   
+  bool cxios_is_defined_domaingroup_iend(domaingroup_Ptr domaingroup_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !domaingroup_hdl->iend.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_domaingroup_jbegin(domaingroup_Ptr domaingroup_hdl, int jbegin)
@@ -216,4 +312,12 @@
   }
   
+  bool cxios_is_defined_domaingroup_jbegin(domaingroup_Ptr domaingroup_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !domaingroup_hdl->jbegin.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_domaingroup_jend(domaingroup_Ptr domaingroup_hdl, int jend)
@@ -229,4 +333,12 @@
     *jend = domaingroup_hdl->jend.getValue();
   }
+  
+  bool cxios_is_defined_domaingroup_jend(domaingroup_Ptr domaingroup_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !domaingroup_hdl->jend.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
   
   
@@ -248,4 +360,12 @@
   }
   
+  bool cxios_is_defined_domaingroup_latvalue(domaingroup_Ptr domaingroup_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !domaingroup_hdl->latvalue.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_domaingroup_long_name(domaingroup_Ptr domaingroup_hdl, const char * long_name, int long_name_size)
@@ -266,4 +386,12 @@
      CTimer::get("XIOS").suspend();
   }
+  
+  bool cxios_is_defined_domaingroup_long_name(domaingroup_Ptr domaingroup_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !domaingroup_hdl->long_name.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
   
   
@@ -285,4 +413,12 @@
   }
   
+  bool cxios_is_defined_domaingroup_lonvalue(domaingroup_Ptr domaingroup_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !domaingroup_hdl->lonvalue.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_domaingroup_mask(domaingroup_Ptr domaingroup_hdl, bool* mask, int extent1, int extent2)
@@ -303,4 +439,12 @@
   }
   
+  bool cxios_is_defined_domaingroup_mask(domaingroup_Ptr domaingroup_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !domaingroup_hdl->mask.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_domaingroup_name(domaingroup_Ptr domaingroup_hdl, const char * name, int name_size)
@@ -322,4 +466,12 @@
   }
   
+  bool cxios_is_defined_domaingroup_name(domaingroup_Ptr domaingroup_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !domaingroup_hdl->name.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_domaingroup_ni(domaingroup_Ptr domaingroup_hdl, int ni)
@@ -336,4 +488,12 @@
   }
   
+  bool cxios_is_defined_domaingroup_ni(domaingroup_Ptr domaingroup_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !domaingroup_hdl->ni.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_domaingroup_ni_glo(domaingroup_Ptr domaingroup_hdl, int ni_glo)
@@ -350,4 +510,12 @@
   }
   
+  bool cxios_is_defined_domaingroup_ni_glo(domaingroup_Ptr domaingroup_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !domaingroup_hdl->ni_glo.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_domaingroup_nj(domaingroup_Ptr domaingroup_hdl, int nj)
@@ -364,4 +532,12 @@
   }
   
+  bool cxios_is_defined_domaingroup_nj(domaingroup_Ptr domaingroup_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !domaingroup_hdl->nj.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_domaingroup_nj_glo(domaingroup_Ptr domaingroup_hdl, int nj_glo)
@@ -378,4 +554,12 @@
   }
   
+  bool cxios_is_defined_domaingroup_nj_glo(domaingroup_Ptr domaingroup_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !domaingroup_hdl->nj_glo.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_domaingroup_standard_name(domaingroup_Ptr domaingroup_hdl, const char * standard_name, int standard_name_size)
@@ -397,4 +581,12 @@
   }
   
+  bool cxios_is_defined_domaingroup_standard_name(domaingroup_Ptr domaingroup_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !domaingroup_hdl->standard_name.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_domaingroup_zoom_ibegin(domaingroup_Ptr domaingroup_hdl, int zoom_ibegin)
@@ -411,4 +603,12 @@
   }
   
+  bool cxios_is_defined_domaingroup_zoom_ibegin(domaingroup_Ptr domaingroup_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !domaingroup_hdl->zoom_ibegin.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_domaingroup_zoom_ibegin_loc(domaingroup_Ptr domaingroup_hdl, int zoom_ibegin_loc)
@@ -425,4 +625,12 @@
   }
   
+  bool cxios_is_defined_domaingroup_zoom_ibegin_loc(domaingroup_Ptr domaingroup_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !domaingroup_hdl->zoom_ibegin_loc.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_domaingroup_zoom_jbegin(domaingroup_Ptr domaingroup_hdl, int zoom_jbegin)
@@ -439,4 +647,12 @@
   }
   
+  bool cxios_is_defined_domaingroup_zoom_jbegin(domaingroup_Ptr domaingroup_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !domaingroup_hdl->zoom_jbegin.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_domaingroup_zoom_jbegin_loc(domaingroup_Ptr domaingroup_hdl, int zoom_jbegin_loc)
@@ -453,4 +669,12 @@
   }
   
+  bool cxios_is_defined_domaingroup_zoom_jbegin_loc(domaingroup_Ptr domaingroup_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !domaingroup_hdl->zoom_jbegin_loc.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_domaingroup_zoom_ni(domaingroup_Ptr domaingroup_hdl, int zoom_ni)
@@ -467,4 +691,12 @@
   }
   
+  bool cxios_is_defined_domaingroup_zoom_ni(domaingroup_Ptr domaingroup_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !domaingroup_hdl->zoom_ni.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_domaingroup_zoom_ni_loc(domaingroup_Ptr domaingroup_hdl, int zoom_ni_loc)
@@ -481,4 +713,12 @@
   }
   
+  bool cxios_is_defined_domaingroup_zoom_ni_loc(domaingroup_Ptr domaingroup_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !domaingroup_hdl->zoom_ni_loc.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_domaingroup_zoom_nj(domaingroup_Ptr domaingroup_hdl, int zoom_nj)
@@ -495,4 +735,12 @@
   }
   
+  bool cxios_is_defined_domaingroup_zoom_nj(domaingroup_Ptr domaingroup_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !domaingroup_hdl->zoom_nj.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_domaingroup_zoom_nj_loc(domaingroup_Ptr domaingroup_hdl, int zoom_nj_loc)
@@ -509,4 +757,12 @@
   }
   
+  bool cxios_is_defined_domaingroup_zoom_nj_loc(domaingroup_Ptr domaingroup_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !domaingroup_hdl->zoom_nj_loc.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   
Index: /XIOS/trunk/src/interface/c_attr/icfield_attr.cpp
===================================================================
--- /XIOS/trunk/src/interface/c_attr/icfield_attr.cpp	(revision 431)
+++ /XIOS/trunk/src/interface/c_attr/icfield_attr.cpp	(revision 432)
@@ -35,4 +35,12 @@
   }
   
+  bool cxios_is_defined_field_axis_ref(field_Ptr field_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !field_hdl->axis_ref.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_field_default_value(field_Ptr field_hdl, double default_value)
@@ -49,4 +57,12 @@
   }
   
+  bool cxios_is_defined_field_default_value(field_Ptr field_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !field_hdl->default_value.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_field_domain_ref(field_Ptr field_hdl, const char * domain_ref, int domain_ref_size)
@@ -68,4 +84,12 @@
   }
   
+  bool cxios_is_defined_field_domain_ref(field_Ptr field_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !field_hdl->domain_ref.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_field_enabled(field_Ptr field_hdl, bool enabled)
@@ -82,4 +106,12 @@
   }
   
+  bool cxios_is_defined_field_enabled(field_Ptr field_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !field_hdl->enabled.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_field_field_ref(field_Ptr field_hdl, const char * field_ref, int field_ref_size)
@@ -101,4 +133,12 @@
   }
   
+  bool cxios_is_defined_field_field_ref(field_Ptr field_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !field_hdl->field_ref.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_field_freq_offset(field_Ptr field_hdl, const char * freq_offset, int freq_offset_size)
@@ -120,4 +160,12 @@
   }
   
+  bool cxios_is_defined_field_freq_offset(field_Ptr field_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !field_hdl->freq_offset.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_field_freq_op(field_Ptr field_hdl, const char * freq_op, int freq_op_size)
@@ -139,4 +187,12 @@
   }
   
+  bool cxios_is_defined_field_freq_op(field_Ptr field_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !field_hdl->freq_op.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_field_grid_ref(field_Ptr field_hdl, const char * grid_ref, int grid_ref_size)
@@ -158,4 +214,12 @@
   }
   
+  bool cxios_is_defined_field_grid_ref(field_Ptr field_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !field_hdl->grid_ref.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_field_level(field_Ptr field_hdl, int level)
@@ -172,4 +236,12 @@
   }
   
+  bool cxios_is_defined_field_level(field_Ptr field_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !field_hdl->level.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_field_long_name(field_Ptr field_hdl, const char * long_name, int long_name_size)
@@ -191,4 +263,12 @@
   }
   
+  bool cxios_is_defined_field_long_name(field_Ptr field_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !field_hdl->long_name.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_field_name(field_Ptr field_hdl, const char * name, int name_size)
@@ -210,4 +290,12 @@
   }
   
+  bool cxios_is_defined_field_name(field_Ptr field_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !field_hdl->name.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_field_operation(field_Ptr field_hdl, const char * operation, int operation_size)
@@ -229,4 +317,12 @@
   }
   
+  bool cxios_is_defined_field_operation(field_Ptr field_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !field_hdl->operation.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_field_prec(field_Ptr field_hdl, int prec)
@@ -243,4 +339,12 @@
   }
   
+  bool cxios_is_defined_field_prec(field_Ptr field_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !field_hdl->prec.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_field_standard_name(field_Ptr field_hdl, const char * standard_name, int standard_name_size)
@@ -262,4 +366,12 @@
   }
   
+  bool cxios_is_defined_field_standard_name(field_Ptr field_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !field_hdl->standard_name.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_field_unit(field_Ptr field_hdl, const char * unit, int unit_size)
@@ -281,4 +393,12 @@
   }
   
+  bool cxios_is_defined_field_unit(field_Ptr field_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !field_hdl->unit.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   
Index: /XIOS/trunk/src/interface/c_attr/icfieldgroup_attr.cpp
===================================================================
--- /XIOS/trunk/src/interface/c_attr/icfieldgroup_attr.cpp	(revision 431)
+++ /XIOS/trunk/src/interface/c_attr/icfieldgroup_attr.cpp	(revision 432)
@@ -35,4 +35,12 @@
   }
   
+  bool cxios_is_defined_fieldgroup_axis_ref(fieldgroup_Ptr fieldgroup_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !fieldgroup_hdl->axis_ref.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_fieldgroup_default_value(fieldgroup_Ptr fieldgroup_hdl, double default_value)
@@ -49,4 +57,12 @@
   }
   
+  bool cxios_is_defined_fieldgroup_default_value(fieldgroup_Ptr fieldgroup_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !fieldgroup_hdl->default_value.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_fieldgroup_domain_ref(fieldgroup_Ptr fieldgroup_hdl, const char * domain_ref, int domain_ref_size)
@@ -68,4 +84,12 @@
   }
   
+  bool cxios_is_defined_fieldgroup_domain_ref(fieldgroup_Ptr fieldgroup_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !fieldgroup_hdl->domain_ref.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_fieldgroup_enabled(fieldgroup_Ptr fieldgroup_hdl, bool enabled)
@@ -82,4 +106,12 @@
   }
   
+  bool cxios_is_defined_fieldgroup_enabled(fieldgroup_Ptr fieldgroup_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !fieldgroup_hdl->enabled.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_fieldgroup_field_ref(fieldgroup_Ptr fieldgroup_hdl, const char * field_ref, int field_ref_size)
@@ -101,4 +133,12 @@
   }
   
+  bool cxios_is_defined_fieldgroup_field_ref(fieldgroup_Ptr fieldgroup_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !fieldgroup_hdl->field_ref.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_fieldgroup_freq_offset(fieldgroup_Ptr fieldgroup_hdl, const char * freq_offset, int freq_offset_size)
@@ -120,4 +160,12 @@
   }
   
+  bool cxios_is_defined_fieldgroup_freq_offset(fieldgroup_Ptr fieldgroup_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !fieldgroup_hdl->freq_offset.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_fieldgroup_freq_op(fieldgroup_Ptr fieldgroup_hdl, const char * freq_op, int freq_op_size)
@@ -139,4 +187,12 @@
   }
   
+  bool cxios_is_defined_fieldgroup_freq_op(fieldgroup_Ptr fieldgroup_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !fieldgroup_hdl->freq_op.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_fieldgroup_grid_ref(fieldgroup_Ptr fieldgroup_hdl, const char * grid_ref, int grid_ref_size)
@@ -158,4 +214,12 @@
   }
   
+  bool cxios_is_defined_fieldgroup_grid_ref(fieldgroup_Ptr fieldgroup_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !fieldgroup_hdl->grid_ref.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_fieldgroup_group_ref(fieldgroup_Ptr fieldgroup_hdl, const char * group_ref, int group_ref_size)
@@ -177,4 +241,12 @@
   }
   
+  bool cxios_is_defined_fieldgroup_group_ref(fieldgroup_Ptr fieldgroup_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !fieldgroup_hdl->group_ref.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_fieldgroup_level(fieldgroup_Ptr fieldgroup_hdl, int level)
@@ -191,4 +263,12 @@
   }
   
+  bool cxios_is_defined_fieldgroup_level(fieldgroup_Ptr fieldgroup_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !fieldgroup_hdl->level.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_fieldgroup_long_name(fieldgroup_Ptr fieldgroup_hdl, const char * long_name, int long_name_size)
@@ -210,4 +290,12 @@
   }
   
+  bool cxios_is_defined_fieldgroup_long_name(fieldgroup_Ptr fieldgroup_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !fieldgroup_hdl->long_name.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_fieldgroup_name(fieldgroup_Ptr fieldgroup_hdl, const char * name, int name_size)
@@ -229,4 +317,12 @@
   }
   
+  bool cxios_is_defined_fieldgroup_name(fieldgroup_Ptr fieldgroup_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !fieldgroup_hdl->name.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_fieldgroup_operation(fieldgroup_Ptr fieldgroup_hdl, const char * operation, int operation_size)
@@ -248,4 +344,12 @@
   }
   
+  bool cxios_is_defined_fieldgroup_operation(fieldgroup_Ptr fieldgroup_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !fieldgroup_hdl->operation.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_fieldgroup_prec(fieldgroup_Ptr fieldgroup_hdl, int prec)
@@ -262,4 +366,12 @@
   }
   
+  bool cxios_is_defined_fieldgroup_prec(fieldgroup_Ptr fieldgroup_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !fieldgroup_hdl->prec.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_fieldgroup_standard_name(fieldgroup_Ptr fieldgroup_hdl, const char * standard_name, int standard_name_size)
@@ -281,4 +393,12 @@
   }
   
+  bool cxios_is_defined_fieldgroup_standard_name(fieldgroup_Ptr fieldgroup_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !fieldgroup_hdl->standard_name.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_fieldgroup_unit(fieldgroup_Ptr fieldgroup_hdl, const char * unit, int unit_size)
@@ -300,4 +420,12 @@
   }
   
+  bool cxios_is_defined_fieldgroup_unit(fieldgroup_Ptr fieldgroup_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !fieldgroup_hdl->unit.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   
